#ifndef ITEMCREATIONDIALOG_H
#define ITEMCREATIONDIALOG_H

#include <QDialog>
#include <memory>
#include "../items/item.h"

namespace Ui
{
class ItemCreationDialog;
}

class ItemCreationDialog : public QDialog
{
	Q_OBJECT

	QWidget* widget;

public:
	explicit ItemCreationDialog(QWidget *parent = nullptr);
	~ItemCreationDialog();

	std::shared_ptr<Item> item;

private slots:

	void itemTypeChanged(const QString& type);
	void itemNameChanged(const QString& name);

private:
	Ui::ItemCreationDialog *ui;
};

#endif // ITEMCREATIONDIALOG_H
